<?xml version="1.0" encoding="utf-8"?>
<resources>
    <declare-styleable name="baseTitleBar">
        <!-- 标题 -->
        <attr name="barTitle" format="string" />
        <!-- 标题栏背景 -->
        <attr name="barBackground" format="reference|integer" />
        <!-- 左侧按钮是否显示 -->
        <attr name="leftVisible" format="boolean" />
        <!-- 左侧按钮文字颜色 -->
        <attr name="leftTextColor" format="color" />
        <!-- 左侧按钮文字 -->
        <attr name="leftText" format="string" />
        <!-- 左侧按钮图片 -->
        <attr name="leftDrawable" format="reference|integer" />
        <!-- 右侧按钮是否显示 -->
        <attr name="rightVisible" format="boolean" />
        <!-- 右侧按钮文字颜色 -->
        <attr name="rightTextColor" format="color" />
        <!-- 右侧按钮文字 -->
        <attr name="rightText" format="string" />
        <!-- 右侧按钮图片 -->
        <attr name="rightDrawable" format="string" />
    </declare-styleable>

    <declare-styleable name="wave">
        <!-- 波浪颜色 -->
        <attr name="color" format="color" />
        <!-- 填充模式 -->
        <attr name="fill_mode">
            <!-- 填充顶部，使顶部是直线，底部是波浪线 -->
            <enum name="top" value="1" />
            <!-- 填充底部，使底部是直线，顶部是波浪线 -->
            <enum name="bottom" value="2" />
        </attr>
        <!-- 波浪变化速率，<0 向右的小伙，>0 向左的效果-->
        <attr name="speed" format="integer" />
        <!-- 水波浪初始状态相位角  -->
        <attr name="phi" format="integer" />
        <!-- 水波浪角频率，默认值 1，显示一个三角函数周期  -->
        <attr name="omega" format="float"/>
    </declare-styleable>
</resources>